@echo off
del /F /Q X64.reg
cls
SET renchongyi=%CD%
SET renchongyi=%renchongyi:\=\\%
> ".\RASregfile.reg" ECHO Windows Registry Editor Version 5.00
>>".\RASregfile.reg" ECHO. 
>>".\RASregfile.reg" ECHO [HKEY_LOCAL_MACHINE\SOFTWARE\pigdog games\Kingdoms]
>>".\RASregfile.reg" ECHO "Directory"="%renchongyi%"
>>".\RASregfile.reg" ECHO "Version"="1.100"
>>".\RASregfile.reg" ECHO "Uninstaller"="C:\\WINDOWS\\Kingdoms Uninstaller.exe"
>>".\RASregfile.reg" ECHO.
>>".\RASregfile.reg" ECHO [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Kingdoms]
>>".\RASregfile.reg" ECHO "UninstallString"="\"C:\\WINDOWS\\Kingdoms Uninstaller.exe\""
>>".\RASregfile.reg" ECHO "DisplayName"="Kingdoms"
>>".\RASregfile.reg" ECHO "DisplayVersion"="1.100"
>>".\RASregfile.reg" ECHO "Publisher"="pigdog games"
>>".\RASregfile.reg" ECHO "NoModify"=dword:00000001
>>".\RASregfile.reg" ECHO "NoRepair"=dword:00000001
>>".\RASregfile.reg" ECHO.
>>".\RASregfile.reg" ECHO [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\pigdog games\Kingdoms]
>>".\RASregfile.reg" ECHO "Directory"="%renchongyi%"
>>".\RASregfile.reg" ECHO "Version"="1.100"
>>".\RASregfile.reg" ECHO "Uninstaller"="C:\\WINDOWS\\Kingdoms Uninstaller.exe"
>>".\RASregfile.reg" ECHO.
>>".\RASregfile.reg" ECHO [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Kingdoms]
>>".\RASregfile.reg" ECHO "UninstallString"="\"C:\\WINDOWS\\Kingdoms Uninstaller.exe\""
>>".\RASregfile.reg" ECHO "DisplayName"="Kingdoms"
>>".\RASregfile.reg" ECHO "DisplayVersion"="1.100"
>>".\RASregfile.reg" ECHO "Publisher"="pigdog games"
>>".\RASregfile.reg" ECHO "NoModify"=dword:00000001
>>".\RASregfile.reg" ECHO "NoRepair"=dword:00000001
cls
ver|findstr /i "XP"&&goto XXPP
echo.
echo 现在弹出了注册表导入窗口，请按"是"或"确定"，从而完成安装
echo.
RASregfile.reg
cls
goto VVWW77
:XXPP
echo 耐心等待...
regedit /s ".\RASregfile.reg"
"%windir%\regedit.exe" /s ".\RASregfile.reg"
"%windir%\SysWoW64\regedit.exe" /s ".\RASregfile.reg"
cls
goto VVWW77
:VVWW77
ren RASregfile.reg X64.reg
cls
START IEXPLORE http://www.962.net/
cls
echo 注册表恢复成功，按任意键退出
echo. 
echo.
pause >nul
cls